curl --request GET \
--url https://api.range.org/v2/transfers/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/transfers/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9359/AX/2352",
"time": "2024-05-08T13:05:57.779Z",
"status": "SUCCEEDED",
"type": "cctp",
"sender": {
"address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
"network": "solana"
},
"receiver": {
"address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
"network": "noble-1"
},
"sender_tx_hash": "76b9922b6c8968d328e56930b4bbe26665d2ed12f2bdff45b2e9a43b09f5ab9c",
"receiver_tx_hash": "e607dba4c1e138dabb1d534ba0e14645786ca892907563c388d7de7f65ba7bb3",
"note": "<string>",
"category": "<string>",
"direction": "in"
}Get token transfer by ID
Returns a token transfer that matches the specified ID.
Authorizations
Authorization method required to allow user to access the api endpoints.
Path Parameters
Response
Token transfer that matches the specified ID.
"9359/AX/2352"
"2024-05-08T13:05:57.779Z"
Current status of the transfer
SUCCEEDED, PENDING, ERROR_ON_DESTINATION, TIMEOUT "SUCCEEDED"
Type of transfer (e.g., ibc, cctp, etc.)
"cctp"
Information about the sender of the transfer
Show child attributes
Show child attributes
{
"address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
"network": "solana"
}
Information about the receiver of the transfer
Show child attributes
Show child attributes
{
"address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
"network": "noble-1"
}
"76b9922b6c8968d328e56930b4bbe26665d2ed12f2bdff45b2e9a43b09f5ab9c"
"e607dba4c1e138dabb1d534ba0e14645786ca892907563c388d7de7f65ba7bb3"
Workspace note for this transfer
Workspace category for this transfer
Direction relative to ALL the workspace's saved addresses, regardless of any group_ids filter: in = external sender to owned receiver, out = owned sender to external receiver, internal = both owned. Null when the request has no workspace context or neither party is a saved address.
in, out, internal "in"
Was this page helpful?